- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Typedefs | Enumerations | Functions
AL::qianim Namespace Reference

## Namespaces
| ActuatorCurve
| Key
| Tangent
| V2

## Typedefs
using | ptree = boost::property_tree::ptree
template<class T >
using | optional = boost::optional< T >

## Enumerations
enum | Unit { Unit::dimensionless, Unit::radian, Unit::degree, Unit::meter }
enum | Side : bool { Side::left, Side::right }

## Functions
template<typename Scalar , typename std::enable_if< std::is_floating_point< Scalar >::value, int >::type = 0>
std::pair< std::pair< Scalar, Scalar >, std::pair< Scalar, Scalar > > | computeBezierAutoTangents (Scalar pDeltaTime1, Scalar pDeltaTime2, Scalar pDeltaAngle1, Scalar pDeltaAngle2)
ALMATH_API ptree | v2_root_from_xar_timeline (const ptree &xar_timeline)
ALMATH_API std::vector< ptree > | v2_roots_from_xar (const ptree &docroot)
ALMATH_API ptree | v2_root_from_v1_root (const ptree &v1_root)
template<typename Scalar >
std::enable_if < std::is_floating_point < Scalar >::value, Scalar > ::type | getUnitConversionFactor (Unit to, Unit from)
template<typename Scalar >
std::enable_if < std::is_floating_point < Scalar >::value, Scalar > ::type | getSIConversionFactor (Unit from)

## Typedef Documentation

template<class T >

using AL::qianim::optional = typedef boost::optional<T>

Definition at line 25 of file qianim.h.

using AL::qianim::ptree = typedef boost::property_tree::ptree

Definition at line 22 of file qianim.h.

## Enumeration Type Documentation

enum AL::qianim::Side : bool
| strong

Enumerator
left |
right |

Definition at line 27 of file qianim.h.

enum AL::qianim::Unit
| strong

Enumerator
dimensionless |
radian |
degree |
meter |

Definition at line 15 of file unit.h.

## Function Documentation

template<typename Scalar , typename std::enable_if< std::is_floating_point< Scalar >::value, int >::type = 0>

std::pair<std::pair<Scalar, Scalar>, std::pair<Scalar, Scalar> > AL::qianim::computeBezierAutoTangents | ( | Scalar | pDeltaTime1,
|  | Scalar | pDeltaTime2,
|  | Scalar | pDeltaAngle1,
|  | Scalar | pDeltaAngle2
| ) |  |

Definition at line 35 of file bezierautotangent.h.

template<typename Scalar >

std::enable_if<std::is_floating_point<Scalar>::value, Scalar>::type AL::qianim::getSIConversionFactor | ( | Unit | from | ) |

Definition at line 38 of file unitutils.h.

template<typename Scalar >

std::enable_if<std::is_floating_point<Scalar>::value, Scalar>::type AL::qianim::getUnitConversionFactor | ( | Unit | to,
|  | Unit | from
| ) |  |

Definition at line 22 of file unitutils.h.

ALMATH_API ptree AL::qianim::v2_root_from_v1_root | ( | const ptree & | v1_root | ) |

ALMATH_API ptree AL::qianim::v2_root_from_xar_timeline | ( | const ptree & | xar_timeline | ) |

ALMATH_API std::vector<ptree> AL::qianim::v2_roots_from_xar | ( | const ptree & | docroot | ) |